#!/bin/sh
# Scheduler for BackupMyHomePC.com 5.5.1.0

. /etc/rc.common

StartService ()
{
    ConsoleMessage "Starting Scheduler for BackupMyHomePC.com"
    '/Applications/BackupMyHomePC.com/bin/Scheduler.sh' &
    return 0
}

StopService ()
{
    ConsoleMessage "Stopping Scheduler for BackupMyHomePC.com"
    touch '/Applications/BackupMyHomePC.com/ipc/Scheduler/stop'
    sleep 2;
    return 0
}

RestartService ()
{
    StopService;
    StartService;
}

RunService "$1"
